"use client";

import Link from "next/link";

import hero_background_2 from "/public/assets/hero-2.jpg";
import hero_mobile from "/public/assets/hero-mobile.jpg";

import Image from "next/image";

import { Video } from "../ui/video";
const Hero = () => {
  return (
    <section
      className="
    w-full
    h-[750px]
    md:h-[420px]
    xl:h-[600px]
    flex
    items-center
    justify-center
    rounded-3xl
    relative
    overflow-hidden
    bg-black
    "
    >
      <Image
        className="
        hidden
        absolute
        lg:-bottom-50
        opacity-50
        md:flex
        md:h-fit
      "
        src={hero_background_2}
        alt="Hero"
      />
      <Image
        className="
      absolute
      opacity-50
      h-fit
      md:hidden
    "
        src={hero_mobile}
        alt="Hero-mobile"
      />
      <div
        className="
      w-full
      max-w-[90ch]
      h-full
      z-10
      flex
      flex-col
      items-center
      justify-center
      gap-5
      text-white
      text-center
      p-5
      mb-48
      md:mb-50
      xl:mb-80
      "
      >
        <h1 className="text-4xl md:text-5xl font-bold max-w-[27ch] ">
          Estilo y personalización para tu Hogar en un solo lugar
        </h1>
        {/* <p className="text-xl font-sans">
          Crea el Hogar de tus Sueños, con muebles a medida hechos solo para
          Usted
        </p> */}
        <Link
          href="https://maps.app.goo.gl/6TeSaQkfwree2uiq7"
          className="
          font-bold 
          text-lg 
          lg:text-3xl
          border-2
          rounded-lg
          bg-green-600
          px-8
          py-2
          "
        >
          ¡Crea el Hogar de tus Sueños HOY!
        </Link>
      </div>
    </section>
  );
};

export default Hero;
